## GnomeCanvasRE

GnomeCanvasRE — Base class for rectangle and ellipse items

## Synopsis

    #include <libgnomecanvas/libgnomecanvas.h>

                        GnomeCanvasRE;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GnomeCanvasItem
                         +----GnomeCanvasShape
                               +----GnomeCanvasRE
                                     +----GnomeCanvasEllipse
                                     +----GnomeCanvasRect

## Properties

      "x1"                       gdouble               : Read / Write
      "x2"                       gdouble               : Read / Write
      "y1"                       gdouble               : Read / Write
      "y2"                       gdouble               : Read / Write

## Description

This forms a base class for rectangle and ellipse canvas items.

## Details

### GnomeCanvasRE

    typedef struct _GnomeCanvasRE GnomeCanvasRE;

This structure should not be accessed directly. Use the object's properties for querying or changing its parameters.

## Property Details

### The "`x1`" property

      "x1"                       gdouble               : Read / Write

Leftmost coordinate of rectangle or ellipse.

Default value: 0

### The "`x2`" property

      "x2"                       gdouble               : Read / Write

Rightmost coordinate of rectangle or ellipse.

Default value: 0

### The "`y1`" property

      "y1"                       gdouble               : Read / Write

Topmost coordinate of rectangle or ellipse.

Default value: 0

### The "`y2`" property

      "y2"                       gdouble               : Read / Write

Bottommost coordinate of rectangle or ellipse.

Default value: 0

## See Also

GnomeCanvasEllipse, GnomeCanvasRect